Slack Document Thread
The slack document thread resource.
Basehttps://rest.carbon.ms/slackDocumentThread
GET
/slackDocumentThreadList slack document threads
Retrieve a paginated list of slack document threads. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/slackDocumentThread
curl --request GET \
--url 'https://rest.carbon.ms/slackDocumentThread?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"companyId": "xyz789",
"documentType": "string",
"documentId": "xyz789",
"channelId": "xyz789",
"threadTs": "string",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string"
}
]GET
/slackDocumentThreadRetrieve a slack document thread
Fetch a single slack document thread by filtering on `id`.
Query parameters
idstringMatch on the slack document thread's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/slackDocumentThread
curl --request GET \
--url 'https://rest.carbon.ms/slackDocumentThread?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"documentType": "string",
"documentId": "xyz789",
"channelId": "xyz789",
"threadTs": "string",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string"
}POST
/slackDocumentThreadCreate a slack document thread
Create a new slack document thread.
Body parameters
companyIdstringrequiredReferences company.id
documentTypestringrequireddocumentIdstringrequiredchannelIdstringrequiredthreadTsstringrequiredPOSThttps://rest.carbon.ms/slackDocumentThread
curl --request POST \
--url https://rest.carbon.ms/slackDocumentThread \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"companyId":"xyz789","documentType":"string","documentId":"xyz789","channelId":"xyz789","threadTs":"string"}'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"documentType": "string",
"documentId": "xyz789",
"channelId": "xyz789",
"threadTs": "string",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string"
}PATCH
/slackDocumentThreadUpdate a slack document thread
Update an existing slack document thread, matched on `id`.
Body parameters
companyIdstringrequiredReferences company.id
documentTypestringrequireddocumentIdstringrequiredchannelIdstringrequiredthreadTsstringrequiredPATCHhttps://rest.carbon.ms/slackDocumentThread
curl --request PATCH \
--url 'https://rest.carbon.ms/slackDocumentThread?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"companyId":"xyz789"}'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"documentType": "string",
"documentId": "xyz789",
"channelId": "xyz789",
"threadTs": "string",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string"
}DELETE
/slackDocumentThreadDelete a slack document thread
Delete a slack document thread, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the slack document thread to delete, e.g. `eq.{id}`.
DELETEhttps://rest.carbon.ms/slackDocumentThread
curl --request DELETE \
--url 'https://rest.carbon.ms/slackDocumentThread?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content